using Unity;
using UnityEngine;
public abstract class BaseBehaviour 
{
    protected NPC thisNPC;
    protected IDoActivity DoActivity;

    protected BaseBehaviour(NPC npc)
    {
        thisNPC = npc;
    }

    public void DoAction()
    {
        DoActivity?.DoActivity();
    }
}
